﻿
function OnLoadCfgAdvance()
{
     ApplyXmlLang("cfg_advance.xml");
     
     if(!g_supportFunctions.IsSupportConfigImport())
     {
        id_config_io.rows[2].style.display = "none";
        id_config_io.rows[3].style.display = "none";
        id_config_io.rows[4].style.display = "none";
     }
     if(!g_supportFunctions.IsSupportConfigExport())
     {
        id_config_io.rows[0].style.display = "none";
        id_config_io.rows[1].style.display = "none";
        id_config_io.rows[2].style.display = "none";
     }
}

function BrowseExportFile()
{
    config_export_path.value = WebClient.BrowseFile(0);
//    var path = BrowseFolder(config_export_path);
//    g_bChange = false;
//    if(path != "")
//    {
//        if(path.charAt(path.length-1) != "\\")
//        {
//            path += "\\";
//        }
//        var curDate = DateToString(new Date());
//        curDate = curDate.replace(/[-: ]/g, '');
//        config_export_path.value = path + "configure_" + curDate + ".dat";
//    }
}

function BrowseImportFile()
{
    config_file_path.value = WebClient.BrowseFile(1);
}

function OnExportCfg()
{
    if(config_export_path.value == "")
    {
        return;
    }
    
    StartWaitTip(str_export_wait);
    setTimeout("ExportCfg()", 100);
}

function OnImportCfg()
{
    if(!confirm(str_boot_to_effect_request))
    {
        return;
    }
    if(config_file_path.value == "")
    {
        return;
    }
    
    StartWaitTip(str_import_wait);
    setTimeout("ImportCfg()", 100);
}

function ExportCfg()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\"" + STR_LM_CFG_EXPORT + "\">\r\n";
    strRequest += "<" +STR_PATH + ">" + config_export_path.value + "</" + STR_PATH + ">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
    
    var strReply = WebClient.ExcuteLocalCmd(strRequest);
    
    StopWaitTip();
    
    if(strReply == "")
    {
        window.alert(str_local_export_failed);
        return;
    }
    
    var xmlDoc = createXMLDoc();
    xmlDoc.async = false;
    xmlDoc.loadXML(strReply);
    var cmdElements = xmlDoc.documentElement.childNodes;
    var resultElement = cmdElements[0].childNodes[0];
    if(resultElement.childNodes[0].nodeValue != "1")
    {
        window.alert(str_local_export_failed);
    }
    else
    {
        window.alert(str_export_finish);
    }
}

function ImportCfg()
{
    var strRequest = "<request>\r\n";
    strRequest += "<command name=\"" + STR_LM_CFG_IMPORT + "\">\r\n";
    strRequest += "<" + STR_PATH + ">" + config_file_path.value + "</" + STR_PATH + ">\r\n";
    strRequest += "</command>\r\n";
    strRequest += "</request>\r\n";
        
    var strReply = WebClient.ExcuteLocalCmd(strRequest);
    
    StopWaitTip();
    
    if(strReply == "")
    {
        window.alert(str_local_import_failed);
        return;
    }
    
    var xmlDoc = createXMLDoc();
    xmlDoc.async = false;
    xmlDoc.loadXML(strReply);
    var cmdElements = xmlDoc.documentElement.childNodes;
    var resultElement = cmdElements[0].childNodes[0];
    if(resultElement.childNodes[0].nodeValue != "1")
    {
        window.alert(str_local_import_failed);
    }
    else
    {
        window.alert(str_import_finish);
        
        var strRequest = "<request>\r\n";
        strRequest += "<command name=\"" + STR_REQUEST_REBOOT + "\">\r\n";
        strRequest += "</command>\r\n";
        strRequest += "</request>\r\n";
        WebClient.ExcuteCmd(strRequest);
    }
}