﻿// JScript 文件
var cfg_alarmout_header = new Array('',str_alarmoutname,str_holdtimes);

function OnLoadCfgAlarmout()
{
    ApplyXmlLang("cfg_alarmout.xml");
    CreateListAlarmout(id_alarm_out, 3,cfg_alarmout_header, g_alarmoutList.length);	
	GenSelectListEx(buzzer_hold_time, g_alarmOutHoldTime);
	GenSelectListEx(all_alarmout_hold_time, g_alarmOutHoldTime);
	var xmlConfigReq = CreateConfigReqXml(alarmout_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	
	g_xmlDoc.async = false;
	g_xmlDoc.loadXML(xmlConfigReply);
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
//		window.alert(xmlConfigReply);
	UpdateValues(paramElements, true);
	BuzzerEnable(buzzer_enable);
	cfgCopy2All(alarm_out_all_cfg,id_alarm_out,id_alarm_out_all);
	all_alarmout_hold_time.value = 10;
}

function LoadDefaultCfgAlarmout()
{
    if(GetDefaultCfg(alarmout_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdateValues(paramElements, true);
	    BuzzerEnable(buzzer_enable);
	    cfgCopy2All(alarm_out_all_cfg,id_alarm_out,id_alarm_out_all);
	    g_bChange = true;
    }
}
/***********************************************************************************/
/***********************报警输出配置页面动态生成表格********************************/
/***********************************************************************************/

function CreateListAlarmout(htmlObj, colNum, colHeaders, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr style='background-color:#D4E8FE'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
		strOuterHTML += "<td style = \"width:50px;text-align:center;\">"+i+"</td>";
	    strOuterHTML += "<td><input style = \"width:363px\" type = \"text\" name = \"alarmout_name\" onkeydown = \"return LenCheck(this,event,const_alarmout_name_max_len);\" onkeyup = \"return KeyupCheck(this,const_alarmout_name_max_len);\"  onchange = \"g_bChange = true;\"/></td>";
	    strOuterHTML +="<td><select style = \"width:300px\" name = \"alarmout_hold_time\" onchange = \"g_bChange = true;\"></select></td>";
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 1; i < rowInitNum + 1; i++)
	{
	    GenSelectListEx(document.getElementsByName("alarmout_hold_time")[i-1], g_alarmOutHoldTime);
	}
	htmlObj = parentNode.childNodes[0];
}


/*************************************************************************
   Authentication of length  in AlarmOut page
*************************************************************************/
function ConstAlarmoutlen()
{
    var error_message1 = "";
    var error_message2 = "";
	var isValid = true;
	for(i = 0; i < g_alarmoutList.length; i++)
	{
	    if(g_alarmoutList.length > 1)
	    {
	        alarmout_name_len = alarmout_name[i].value.length;
	    }
	    else
	    {
	        alarmout_name_len = alarmout_name.value.length;
	    }
        if (alarmout_name_len>const_alarmout_name_max_len)
        {
		    error_message1 = str_alarmout_name+cannot_more_than_tip+const_alarmout_name_max_len + character;
		    isValid = false;
        }
        if(alarmout_name_len == 0)
        {
            error_message2 = str_alarmout_name + str_empty_tip;
            isValid = false;
        }
    }
	if(!isValid)
	{
	    alarmoutconfig_errortips.style.color = "red";
		alarmoutconfig_errortips.innerHTML = save_error_tip+error_message1 + error_message2;
		g_bChange = false;
		return false;
	}
	alarmoutconfig_errortips.innerHTML = "";
	alarmoutconfig_errortips.display = "none";
	return true;
}
