﻿// JScript 文件
var g_alarmType = 1;

var g_diskAlarmSpace = new Array(
    new CSelectOptionInfo("0 MB", 0),
    new CSelectOptionInfo("128 MB", 128),
    new CSelectOptionInfo("256 MB", 256),
    new CSelectOptionInfo("384 MB", 384),
    new CSelectOptionInfo("512 MB", 512),
    new CSelectOptionInfo("1024 MB", 1024),
    new CSelectOptionInfo("2048 MB", 2048),
    new CSelectOptionInfo(str_none, -1));

var g_otherAlarmType = new Array(
    new CSelectOptionInfo(str_disk_full,1),
    new CSelectOptionInfo(str_ip_conflict,2),
    new CSelectOptionInfo(str_net_disconnect,3));
    
function OnLoadCfgOtherAlarm()
{
    ApplyXmlLang("cfg_other_alarm.xml");
    GenSelectListEx(disk_alarm_free_space, g_diskAlarmSpace);
    GenSelectListEx(other_alarm_type, g_otherAlarmType);
    GenCheckGroup(other_alarm_trigger_out, g_alarmoutList,STR_DISK_FULL_TO_ALARM_OUT, 4, Bchange);
    ChangeAlarmType(other_alarm_type);
 	
 	var xmlConfigReq = CreateConfigReqXml(other_alarm_config_array);
 	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
 	if(xmlConfigReply == "")
 	{
 	    return false;
 	}
//  	window.alert(xmlConfigReply);
 	g_xmlDoc.async = false;
 	g_xmlDoc.loadXML(xmlConfigReply);
 	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
    UpdateOtherAlarm(paramElements, true,STR_DISK_FULL_BUZZER,STR_DISK_FULL_TO_EMAIL,STR_DISK_FULL_TO_ALARM_OUT);
//  	UpdateValues(paramElements, true);
}

function LoadDefaultCfgOtherAlarm()
{
 	if(GetDefaultCfg(other_alarm_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        g_alarmType = 1;
        other_alarm_type.value = 1;
        disk_alarm_tr.style.display = "";
        UpdateOtherAlarm(paramElements, true,STR_DISK_FULL_BUZZER,STR_DISK_FULL_TO_EMAIL,STR_DISK_FULL_TO_ALARM_OUT);
        g_bChange = true;
    }
}

function ChangeAlarmType(obj)
{
    if(g_alarmType == 1)
    {
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, false,STR_DISK_FULL_BUZZER,STR_DISK_FULL_TO_EMAIL,STR_DISK_FULL_TO_ALARM_OUT);
    }
    if(g_alarmType == 2)
    {
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, false,STR_IP_CONFLICT_BUZZER,STR_IP_CONFLICT_TO_EMAIL,STR_IP_CONFLICT_TO_ALARM_OUT);
    }
    if(g_alarmType == 3)
    {
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, false,STR_DISCONNECT_BUZZER,STR_DISCONNECT_TO_EMAIL,STR_DISCONNECT_TO_ALARM_OUT);
    }
    if(obj.value == 1)
    {
        disk_alarm_tr.style.display = "";
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, true,STR_DISK_FULL_BUZZER,STR_DISK_FULL_TO_EMAIL,STR_DISK_FULL_TO_ALARM_OUT);
    }
    if(obj.value == 2)
    {
        disk_alarm_tr.style.display = "none";
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, true,STR_IP_CONFLICT_BUZZER,STR_IP_CONFLICT_TO_EMAIL,STR_IP_CONFLICT_TO_ALARM_OUT);
    }
    else if(obj.value == 3)
    {
        disk_alarm_tr.style.display = "none";
        UpdateOtherAlarm(g_xmlDoc.documentElement.childNodes[0].childNodes, true,STR_DISCONNECT_BUZZER,STR_DISCONNECT_TO_EMAIL,STR_DISCONNECT_TO_ALARM_OUT);
    }
    g_alarmType = obj.value;
}

function UpdateOtherAlarm(xmlElements, bXml2Html,buzzer,email,alarmout)
{
    for(i = 0; i < xmlElements.length; i++)
    {
        if(bXml2Html)
        {
            if(buzzer == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                other_alarm_buzzer.checked = (parseInt(xmlElements[i].childNodes[0].nodeValue,10))?true:false;
            }
            if(email == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                other_alarm_email.checked = (parseInt(xmlElements[i].childNodes[0].nodeValue,10))?true:false;
            }
            if(alarmout == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var htmlElements = document.getElementsByName(STR_DISK_FULL_TO_ALARM_OUT);
                var valueString = xmlElements[i].childNodes[0].nodeValue.toString();
				for(j = 0; j < htmlElements.length; j++)
				{
					var alarmIndex = parseInt(htmlElements[j].value,10);
					if(valueString.charAt(alarmIndex) == "1")
					{
						htmlElements[j].checked = true;
					}
					else
					{
						htmlElements[j].checked = false;
					}
				}
            }
            if(g_alarmType == 1)
            {
                if(STR_DISK_ALARM_FREE_SPACE == xmlElements[i].attributes.getNamedItem("name").nodeValue)
                {
                    disk_alarm_free_space.value = xmlElements[i].childNodes[0].nodeValue;
                }
            }
        }
        else
        {
            if(buzzer == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                xmlElements[i].childNodes[0].nodeValue = (other_alarm_buzzer.checked)?1:0;
            }
            if(email == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                xmlElements[i].childNodes[0].nodeValue = (other_alarm_email.checked)?1:0;
            }
            if(alarmout == xmlElements[i].attributes.getNamedItem("name").nodeValue)
            {
                var htmlElements = document.getElementsByName(STR_DISK_FULL_TO_ALARM_OUT);
                var valueString = new Array(64);
				for(j = 0; j < valueString.length; j++)
				{
					valueString[j] = "0";
				}
				for(j = 0; j < htmlElements.length; j++)
				{
					var alarmIndex = parseInt(htmlElements[j].value,10);
					if(htmlElements[j].checked)
					{
						valueString[alarmIndex] = "1";
					}
				}
				xmlElements[i].childNodes[0].nodeValue = valueString.join("");
            }
            if(g_alarmType == 1)
            {
                if(STR_DISK_ALARM_FREE_SPACE == xmlElements[i].attributes.getNamedItem("name").nodeValue)
                {
                    xmlElements[i].childNodes[0].nodeValue = disk_alarm_free_space.value;
                }
            }
        }
    }
}