﻿// JScript 文件

//用户管理页面通道checkbox的生成
function GenCheckGroup(tableId, checksInfo, checkName, cellPerRow, OnCheck)
{
	var curRow = 0;
	var curCell = 0;
	var nCellPerRow = 4;
	var cellWidth = 20;
	if(cellPerRow != null)
	{
	    nCellPerRow = cellPerRow;
	}

    var bExistOne = (tableId.rows.length == 1);
    var tdClassName = "";
    var tdStyleCss = "";
    if(bExistOne)
    {
        tdClassName = tableId.rows[0].cells[1].className;
        tdStyleCss = tableId.rows[0].cells[1].cssText;
        tableId.deleteRow(tableId.rows[0]);
    }
    
    var rows = Math.ceil(checksInfo.length/nCellPerRow);
    var startCol = 0;
	for(i = 0; i < rows; i++)
	{
		var rowObj = tableId.insertRow(i);
		rowObj.style.cssText = "text-align:left;";
		if(checksInfo.length > 1)
		{
		    startCol = 1;
		    var cellObj = rowObj.insertCell(0);
		    cellObj.style.cssText = "border-right:solid 1px gray;";
		    cellObj.innerHTML = "<input type='checkbox' style='width:20px;' onclick='CheckGroup("+tableId.id+","+i+")'/>";
		    if((typeof OnCheck) != "undefined")
		    {
		        cellObj.childNodes[0].onchange = OnCheck;
		    }
		}
		
		for(j = startCol; (j-startCol < nCellPerRow) && ((j-startCol+i*nCellPerRow) < checksInfo.length); j++)
		{
			cellObj = rowObj.insertCell(j);
			cellObj.className = tdClassName;
			cellObj.cssText = tdStyleCss;
			cellObj.innerHTML = "<input type='checkbox' name='"+checkName + "'value = '"
			+ checksInfo[j+i*nCellPerRow-startCol].optionValue + "' style='width:"+cellWidth+"px;' onclick='CheckItem("+tableId.id+","+i+")'/>" + (j+1-startCol+(i*nCellPerRow));
			
			if((typeof OnCheck) != "undefined")
		    {
		        cellObj.childNodes[0].onchange = OnCheck;
		    }
		}
	}
}

function Bchange()
{
    g_bChange = true;
}
function Btrigger()
{
    bTrigger = true;
}

function CheckGroup(tableId, row)
{
    var checkBoxes = tableId.rows[row].getElementsByTagName("input");
    for(var i = 1; i < tableId.rows[row].cells.length; i++)
    {
        if(checkBoxes[i].disabled)
        {
            checkBoxes[i].checked = false;
        }
        else
        {
            checkBoxes[i].checked = checkBoxes[0].checked;
        }
    }
}

function CheckItem(tableId, row)
{
    var checkBoxes = tableId.rows[row].getElementsByTagName("input");
    if(checkBoxes.length > 1)
    {
        for(var i = 1; i < tableId.rows[row].cells.length; i++)
        {
            if(!checkBoxes[i].checked)
            {
                checkBoxes[0].checked = false;
                return;
            }
        }
        
        checkBoxes[0].checked = true;
    }
    
}

function UpdateCheckItems(tableId)
{
    var checkBox = tableId.getElementsByTagName("input");
    for(var i = 0; i < tableId.rows.length; i++)
    {
        CheckItem(tableId, i);
    }
}


//
function GenSelectList(selectObj, option_text, option_value) 
{
//    for(var i = 0; i < option_text.length; i++)
//    {
//		var option = document.createElement("option");
//        option.value = option_value[i];
//        option.innerHTML = option_text[i];
//        selectObj.appendChild(option);
//    }
    selectObj.innerHTML = "";
	var optionsString = selectObj.outerHTML.substring(0, selectObj.outerHTML.length - 9);
	for(var i = 0; i < option_text.length; i++)
    {
		if(option_text[i] == "")
		{
			continue;
		}
		optionsString += "\r\n<option value = '" + option_value[i] + "'>" + option_text[i] + "</option>";
    }
    optionsString += "</select>";
    selectObj.outerHTML = optionsString;
}
// 
function GenCpList(selectObj,index, options)
{
    selectObj.length = "";
	var option = document.createElement("option");
    option.value = "All";
    option.innerHTML = all_string;
    selectObj.appendChild(option);
    for(j = 0 ; j < options.length; j++)
    {
        if(j != index)
        {
	        var option = document.createElement("option");
            option.value = options[j].optionValue;
            option.innerHTML = options[j].optionName;
            selectObj.appendChild(option);
        }
        continue;
    }
}

function GenLiveTable(tId)
{
    var bChangeCSS = false;
    var colNum = 8;
    if(g_channelList.length%8)
    {
        colNum = 4;
        var bChangeCSS = true;
    }
    var rows = Math.ceil(g_channelList.length/colNum);
    for(var i = 0; i < rows; i++)
    {
        var rowObj = tId.insertRow(i);
		for(var j = 0; j < colNum; j++)
		{
		    var cellObj = rowObj.insertCell(j);
		    cellObj.innerHTML = i*colNum+j+1;
		    cellObj.style.cssText = "width:20px;";
		    if(bChangeCSS)
		    {
		        cellObj.style.cssText = "width:40px;";
		    }
		}
    }
}