﻿// JScript 文件

var g_backupSelItem = null;
var g_getProgressTimer = 0;
var g_preFileIndex = 0;
var g_backupBackground = false;
var g_fileInfoArray = null;
var g_backupPath = "";
var g_backupTip = "";

var g_xmlDocForProgress = createXMLDoc();

function GotoBackupPage()
{
	if(g_mainMenuItem == 3)
	{
		HintSave(-1);
	}
	g_mainMenuItem = 2;
    selected(g_mainMenuItem);
    HideDIVs();
	div_main_menu.style.display		= "";
	div_main_menu.visibility		= "visible";
	div_backup_body.style.display		= "";
	div_backup_body.visibility		= "visible";
    g_xmlhttp.Open("get", "body_html/body_backup.html", false);
    
    StartWait();
    SafeHttpSend(g_xmlhttp, null);
    OnReceiveBackup();
}
function OnReceiveBackup()
{
	var configData;
    if (g_xmlhttp.readyState != 4) 
    {
        StopWait();
        return;
    }
    if(g_backupBackground)
    {
        if(g_getProgressTimer != 0)
        {
            start_backup.style.display = "none";
	        stop_backup.style.display = "";
        }
        else
        {
            g_backupBackground = false;
        }
        
        StopWait();
    }
    else
    {
        div_backup_body.innerHTML = g_xmlhttp.responseText;
        EdgeCtrl(div_backup_body,32);
        var jsArray = new Array("ctrl_calendar.js", "ctrl_time.js", "ctrl_list.js", "ctrl_generator.js", "playback.js");
    
//        LoadMultiJSSync(jsArray);
//        OnLoadBackupPage();
        LoadMultiJS(jsArray, OnLoadBackupPage);
    
        g_fileInfoArray = new Array(0);
        g_curListPageIndex = 0;
        
        backup_path.value = g_backupPath;
    }
}

function OnLoadBackupPage()
{
    GenCheckGroup(div_backup_channel, g_channelList,"backup_channel_index");

    var temDate = new Date();
    var todayDate = temDate.getFullYear() + "-" + AlignTime(temDate.getMonth()+1) + "-" + AlignTime(temDate.getDate());

    for(var i = 0; i < backup_channel_index.length; i++)
    {
		backup_channel_index[i].checked = true;
    }
    UpdateCheckItems(div_backup_channel);
    
    for(i = 0; i < backup_item.length; i++)
    {
		backup_item[i].style.display = "none";
    }

	var startDate = new DateTicker("backup_start_dateticker");
	info_backup_sdate_span.innerHTML = startDate;
	info_backup_sdate_span.dateName = "backup_start_dateticker";
	
	var endDate = new DateTicker("backup_end_dateticker");
	info_backup_edate_span.innerHTML = endDate;
	info_backup_edate_span.dateName = "backup_end_dateticker";
	
	var startTime = new DateBox("backup_time", false, true);
	info_backup_stime_span.innerHTML = startTime;
	info_backup_stime_span.dateName = "backup_time";
	
	var endTime = new DateBox("backup_end_time", false, true);
	info_backup_etime_span.innerHTML = endTime;
	info_backup_etime_span.dateName = "backup_end_time";
	
    var curDate = new Date();
    curDate = curDate.getFullYear() + "-" + AlignTime(curDate.getMonth()+1) + "-" + AlignTime(curDate.getDate());

    DateTicker.all[info_backup_sdate_span.dateName].setValue(curDate);
    DateTicker.all[info_backup_edate_span.dateName].setValue(curDate);
    DateBox.all[info_backup_stime_span.dateName].setValue(new Array('00','00','00'));
    DateBox.all[info_backup_etime_span.dateName].setValue(new Array('23','59','59'));
    

    ApplyXmlLang("backup.xml");
    
    StopWait();
}

function FileInfo(channel, startTime, endTime, fileIndex)
{
	this.channel = channel;
	this.startTime = startTime;
	this.endTime = endTime;
	this.fileIndex = fileIndex;
	this.status = "";
}

function BrowseFolder(path)
{
	var folder = WebClient.BrowseForFolder(path.value);
	if(path.value != folder)
	{
	    g_bChange = true;
	}
	path.value = folder;
    return folder;
}

function SetBackupPath(backupPath)
{
	if((backupPath == null) || (backupPath==""))
	{
		window.alert(backup_path_empty_tip);
		return false;
	}
	var strRequest = "<request>\r\n";
	strRequest += "<command name=\"" + STR_LM_SET_BACKUP_PATH + "\">\r\n";
	strRequest += "<" + STR_BACKUP_PATH + ">" + backupPath + "</" + STR_BACKUP_PATH + ">\r\n";
	strRequest += "</command>\r\n";
	strRequest += "</request>\r\n";
	
	var strResult = WebClient.ExcuteLocalCmd(strRequest);
	
	g_xmlDoc.async = false;
    g_xmlDoc.loadXML(strResult);
	var cmdElements = g_xmlDoc.documentElement.childNodes;
	if(cmdElements.length > 0)
	{
		var paramElements = cmdElements[0].childNodes;
		if(paramElements.length > 0)
		{
		    if(paramElements[0].childNodes[0].nodeValue == "0")
		    {
		        window.alert(str_folder_not_exist);
		        return false;
		    }
		}
	}
	
	return true;
}
function SearchInBackup()
{
    StartWait();
    RequestBackupFileInfo();
}

function RequestBackupFileInfo(startTime, endTime)
{
	var bCheckedChannel = false;
	var videoChannels = new Array(64);
	for(i = 0; i < 64; i++)
	{
		videoChannels[i] = '0';
	}
	for(i = 0; i < backup_channel_index.length; i++)
	{
		if(backup_channel_index[i].checked)
		{
			videoChannels[i] = '1';
			bCheckedChannel = true;
		}
	}
	if(!bCheckedChannel)
	{
		window.alert(backup_channel_select_tip);
		StopWait();
		return;
	}
	
	var startD = DateTicker.all[info_backup_sdate_span.dateName].getValue();
	var endD = DateTicker.all[info_backup_edate_span.dateName].getValue();
	
	var startTime = startD+" "+DateBox.all[info_backup_stime_span.dateName].getValue();
	var endTime = endD+" "+DateBox.all[info_backup_etime_span.dateName].getValue();
	
	if(endTime <= startTime)
	{
		window.alert(etime_small_than_stime_tip);
		StopWait();
		return;
	}
	
	g_fileInfoArray = new Array();
	g_backupSelItem = new Array();
	g_curListPageIndex = 0;
	ShowBackupFileList(g_curListPageIndex);
	
	var strReqXml = GenReqDataInfoXML(1, videoChannels.join(''), startTime, endTime, 1, 15);
	var xmlDataInfoReply = WebClient.ExcuteCmd(strReqXml);
	if(xmlDataInfoReply == "")
	{
	    StopWait();
		return false;
	}
	
	g_xmlDoc.async = false;
    g_xmlDoc.loadXML(xmlDataInfoReply);
    
	
	var cmdElements = g_xmlDoc.documentElement.childNodes;
	if(cmdElements.length == 0)
	{
	    StopWait();
		return false;
	}
    if(cmdElements[0].attributes.getNamedItem("name").nodeValue != STR_REPLY_SEARCH_TIME)
    {
        StopWait();
		return false;
    }
	
	var dataStartTime = 0;
	var dataEndTime = 0;
	
	var recTimeSec = cmdElements[0].childNodes;
    for(var i = 0; i < recTimeSec.length; i++)
    {
		var channel = recTimeSec[i].getElementsByTagName(STR_CHANNEL)[0].childNodes[0].nodeValue;
		dataStartTime = recTimeSec[i].getElementsByTagName(STR_START_TIME)[0].childNodes[0].nodeValue;
		dataEndTime = recTimeSec[i].getElementsByTagName(STR_END_TIME)[0].childNodes[0].nodeValue;
		dataStartTime = parseInt(dataStartTime,10);
		dataEndTime = parseInt(dataEndTime,10);
		
		var tempDate = new Date();
		tempDate.setTime(dataStartTime*1000);
		dataStartTime = DateToString(tempDate);
//		dataStartTime = (dataStartTime < startTime) ? startTime : dataStartTime;
		
		tempDate.setTime(dataEndTime*1000);
		dataEndTime = DateToString(tempDate);
//		dataEndTime = (dataEndTime > endTime) ? endTime : dataEndTime;
		
		g_fileInfoArray[i] = new FileInfo(channel, dataStartTime, dataEndTime, i);
		g_backupSelItem[i] = false;
	}
	StopWait();
	ShowBackupFileList(g_curListPageIndex);
}

function ShowBackupFileList(pageIndex)
{
    if((g_fileInfoArray.length <= pageIndex*20) && pageIndex != 0)
    {
		return false;
    }
    for(itemIdx = pageIndex*20; itemIdx < (pageIndex+1)*20; itemIdx++)
    {
		var cells = file_list.rows[itemIdx%20+1].cells;
		if(itemIdx >= g_fileInfoArray.length)	//每页20个元素
		{
			backup_item[itemIdx%20].style.display = "none";
			cells[1].innerText = " ";
			cells[2].innerText = " ";
			cells[3].innerText = " ";
			cells[4].innerText = " ";
		}
		else
		{
		    //AUTH_BACKUP = 0x10;
		    if( !(g_authority.authority & 16)
		        || !((0x01 << g_fileInfoArray[itemIdx].channel) & g_authority.authBackup))
		    {
		        backup_item[itemIdx%20].disabled = true;
		        g_fileInfoArray[itemIdx].status = str_no_auth;
		    }
		    else if(!g_backupBackground)
		    {
		        backup_item[itemIdx%20].disabled = false;
		    }
			backup_item[itemIdx%20].style.display = "";
			cells[1].innerText = parseInt(g_fileInfoArray[itemIdx].channel,10)+1;
			cells[2].innerText = g_fileInfoArray[itemIdx].startTime;
			cells[3].innerText = g_fileInfoArray[itemIdx].endTime;
			if(g_fileInfoArray[itemIdx].status.length < 20)
			{
				cells[4].innerText = g_fileInfoArray[itemIdx].status;
			}
			backup_item[itemIdx%20].checked = g_backupSelItem[itemIdx];
		}
		backup_list_page.innerHTML = pageIndex+1+"/"+Math.ceil(g_fileInfoArray.length/20);
    }
    return true;
}

function Backup_SelectAll()
{
	if(g_backupSelItem == null)
	{
		return;
	}
	for(var i = 0; i < g_backupSelItem.length; i++)
	{
	    if( !(g_authority.authority & 16)
		        || !((0x01 << g_fileInfoArray[i].channel) & g_authority.authBackup))
		{
		    g_backupSelItem[i] = false;
		}
		else
		{
		    g_backupSelItem[i] = true;
		}		
	}
	ShowBackupFileList(g_curListPageIndex);
}

function Backup_InvertSelection()
{
	if(g_backupSelItem == null)
	{
		return;
	}
	UpdateSelection();
	for(var i = 0; i < g_backupSelItem.length; i++)
	{
	    if( !(g_authority.authority & 16)
		        || !((0x01 << g_fileInfoArray[i].channel) & g_authority.authBackup))
		{
		    g_backupSelItem[i] = false;
		}
		else
		{
		    g_backupSelItem[i] = !g_backupSelItem[i];
		}
	}
	ShowBackupFileList(g_curListPageIndex);
}

function UpdateSelection()
{
    
	for(var i = 0; i < 20; i++)
	{
		if(i+g_curListPageIndex*20 < g_backupSelItem.length)
		{
			g_backupSelItem[i+g_curListPageIndex*20] = backup_item[i].checked;
		}
	}
}

function StartBackup()
{
    g_backupTip = "";
	if(!SetBackupPath(backup_path.value))
	{
		return;
	}
	if(g_backupSelItem == null)
	{
	    window.alert(str_no_data_tip);
		return;
	}
	UpdateSelection();
	var bSelCount = 0;
	for(var i = 0; i < g_backupSelItem.length; i++)
	{
		if(g_backupSelItem[i])
		{
			bSelCount++;
		}
	}
	if(bSelCount == 0)
	{
		window.alert(backup_file_select);
		return;
	}
	
	var strRequest = "<request>\r\n";
	strRequest += "<command name=\"" + STR_LM_START_BACKUP + "\">\r\n";
	var backCount = 0;
	var startD = DateTicker.all[info_backup_sdate_span.dateName].getValue();
	var endD = DateTicker.all[info_backup_edate_span.dateName].getValue();	
	var startTime = startD+" "+DateBox.all[info_backup_stime_span.dateName].getValue();
	var endTime = endD+" "+DateBox.all[info_backup_etime_span.dateName].getValue();
	for(i = 0; i < g_fileInfoArray.length; i++)
	{
		if(g_backupSelItem[i])
		{
		    var startBkTime = g_fileInfoArray[i].startTime;
		    startBkTime = startBkTime > startTime ? startBkTime : startTime;
		    var endBkTime = g_fileInfoArray[i].endTime;
		    endBkTime = endBkTime < endTime ? endBkTime : endTime;
		    if(startBkTime >= endBkTime)
		    {
		        g_backupSelItem[i] = false;
		        backup_item[i%20].checked = false;
		        continue;
		    }
		    backCount++;
			strRequest += "<"+STR_TIME_SECTION+">\r\n";
			strRequest += "<"+STR_CHANNEL+">"+g_fileInfoArray[i].channel+"</"+STR_CHANNEL+">\r\n";
			strRequest += "<"+STR_START_TIME+">"+startBkTime+"</"+STR_START_TIME+">\r\n";
			strRequest += "<"+STR_END_TIME+">"+endBkTime+"</"+STR_END_TIME+">\r\n";
			strRequest += "<"+STR_FILE_INDEX+">"+g_fileInfoArray[i].fileIndex+"</"+STR_FILE_INDEX+">\r\n";
			strRequest += "</"+STR_TIME_SECTION+">\r\n";
		}
	}
	strRequest += "</command>\r\n";
	strRequest += "</request>\r\n";
		
	if(backCount == 0)
	{
	    window.alert(str_no_data_tip);
	    return;
	}
	
//	window.alert(strRequest);
	WebClient.ExcuteLocalCmd(strRequest);
	
	g_preFileIndex = -1;
	g_getProgressTimer = setTimeout("GetFileBackupProgress()", 100);
	
	stop_backup.style.display = "";
	start_backup.style.display = "none";
	
	g_backupBackground = true;
	
	SetBackupState(true);
}

function StopBackup(bCancelled)
{
	var strRequest = "<request>\r\n";
	strRequest += "<command name=\"" + STR_LM_STOP_BACKUP + "\">\r\n";
	strRequest += "</command>\r\n";
	strRequest += "</request>\r\n";
	WebClient.ExcuteLocalCmd(strRequest);
	stop_backup.style.display = "none";
	start_backup.style.display = "";
	clearTimeout(g_getProgressTimer);
	g_getProgressTimer = 0;
	if(bCancelled)
	{
	    g_fileInfoArray[g_preFileIndex].status = str_cancelled;
		if(Math.floor(g_preFileIndex/20) == g_curListPageIndex)	//当前页才进行刷新
		{
			file_list.rows[(g_preFileIndex%20)+1].cells[4].innerHTML = g_fileInfoArray[g_preFileIndex].status;
		}
	}
	
	if(div_backup_body.style.display != "none")
	{
	    g_backupBackground = false;
	}
	
	if(g_backupTip != "")
	{
	    window.alert(g_backupTip);
	}
	
	SetBackupState(false);
}

function GetFileBackupProgress()
{
    if(!g_backupBackground)
    {
        clearTimeout(g_getProgressTimer);
	    g_getProgressTimer = 0;
        return;
    }
    
	var strCmd = "<request>\r\n";
	strCmd += "<command name=\"" + STR_LM_BACKUP_PROGRESS + "\"></command>\r\n";
	strCmd += "</request>\r\n";
	
	var strResponse = WebClient.ExcuteLocalCmd(strCmd);
	g_xmlDocForProgress.async = false;
    g_xmlDocForProgress.loadXML(strResponse);
    
    var cmdElements = g_xmlDocForProgress.documentElement.childNodes;
    if((cmdElements.length != 0) && (cmdElements[0].attributes.getNamedItem("name").nodeValue == STR_LM_BACKUP_PROGRESS) && (cmdElements[0].childNodes.length != 0))
    {
        var fileIndex = cmdElements[0].getElementsByTagName(STR_FILE_INDEX)[0].childNodes[0].nodeValue;
		fileIndex = parseInt(fileIndex,10);
		var progress = cmdElements[0].getElementsByTagName(STR_BACKUP_PROGRESS)[0].childNodes[0].nodeValue;
		progress = parseInt(progress,10);
		
		if(progress == 200) //备份到最后一个文件，且最后一个文件因系统性能问题备份失败
		{
		    g_backupTip = str_stream_no_capability_bk;
		    for(var k = g_preFileIndex+1; k <= fileIndex; k++)
		    {
		        if(g_backupSelItem[k])
		        {
		            g_fileInfoArray[k].status = str_failed_for_busy;
		            g_backupSelItem[k] = false;
			        backup_item[k%20].checked = false;
			        g_backupTip = str_stream_no_capability_bk;
		        }
		    }
		    Backup_ToPage(Math.floor(fileIndex/20));
			file_list.rows[(fileIndex%20)+1].cells[4].innerHTML = g_fileInfoArray[fileIndex].status;			
			StopBackup(false);			
			return;
		}
		
		if(g_preFileIndex != fileIndex)
		{
			if(g_preFileIndex != -1)
			{
				g_fileInfoArray[g_preFileIndex].status = str_finished;
				if(Math.floor(g_preFileIndex/20) == g_curListPageIndex)	//当前页才进行刷新
				{
					file_list.rows[(g_preFileIndex%20)+1].cells[4].innerHTML = g_fileInfoArray[g_preFileIndex].status;
				}
				g_backupSelItem[g_preFileIndex] = false;
				backup_item[g_preFileIndex%20].checked = false;
			}
			
			for(var k = g_preFileIndex+1; k < fileIndex; k++)
		    {
		        if(g_backupSelItem[k])
		        {
		            g_fileInfoArray[k].status = str_failed_for_busy;
		            g_backupSelItem[k] = false;
			        backup_item[k%20].checked = false;
			        g_backupTip = str_stream_no_capability_bk;
		        }
		    }
		    
		    g_preFileIndex = fileIndex;
			Backup_ToPage(Math.floor(fileIndex/20));
		}
		
		if(progress == 100)
		{
			g_fileInfoArray[fileIndex].status = str_finished;
			if(Math.floor(fileIndex/20) == g_curListPageIndex)	//当前页才进行刷新
			{
				file_list.rows[(fileIndex%20)+1].cells[4].innerHTML = g_fileInfoArray[fileIndex].status;
			}			
			g_backupSelItem[fileIndex] = false;
			backup_item[fileIndex%20].checked = false;
			for(var ii = 0; ii < g_backupSelItem.length; ii++)
			{
				if(g_backupSelItem[ii])
				{
					break;
				}
			}
			if(ii == g_backupSelItem.length)	//全部备份完成
			{
				StopBackup(false);
				return;
			}
		}
		else
		{
			var progWidth = Math.floor(file_list.rows[(fileIndex%20)+1].cells[4].offsetWidth*progress/100-1);
			g_fileInfoArray[fileIndex].status = "<div id='backup_progress_001' style='position:absolute; background-color:#8080ff;z-index:0;left:0px;width:"+progWidth+"px;'></div>";
			g_fileInfoArray[fileIndex].status += "<div id='backup_progress_002' style='position:absolute;z-index:1;left:0px;width:"+file_list.rows[0].cells[4].offsetWidth+"px;'>" + progress + "%</div>";
			if(Math.floor(fileIndex/20) == g_curListPageIndex)	//当前页才进行刷新
			{
				file_list.rows[(fileIndex%20)+1].cells[4].innerHTML = g_fileInfoArray[fileIndex].status;
				var offset = file_list.rows[(fileIndex%20)+1].cells[4].offsetLeft;
				var offsetParent = file_list.rows[(fileIndex%20)+1].cells[4].offsetParent;
				while (offsetParent != backup_progress_001.offsetParent)
				{
					offset += offsetParent.offsetLeft;
					offsetParent = offsetParent.offsetParent;
				}
				backup_progress_001.style.left = offset - backup_progress_001.offsetLeft + 2;
				backup_progress_002.style.left = offset - backup_progress_002.offsetLeft + 2;
				backup_progress_001.style.top = backup_progress_001.offsetTop + 2;
				backup_progress_002.style.top = backup_progress_002.offsetTop + 2;
			}
		}
	}
    g_getProgressTimer = setTimeout("GetFileBackupProgress()", 100);
}

function Backup_ToFirstPage()
{
    if(g_backupSelItem == null)
    {
        return;
    }
	UpdateSelection();
	g_curListPageIndex = 0;
	ShowBackupFileList(g_curListPageIndex);
}

function Backup_ToLastPage()
{
    if(g_backupSelItem == null)
    {
        return;
    }
	UpdateSelection();
	g_curListPageIndex = Math.floor(g_backupSelItem.length/20);
	ShowBackupFileList(g_curListPageIndex);
}

function Backup_ToNextPage()
{
    if(g_backupSelItem == null)
    {
        return;
    }
	UpdateSelection();
	if(g_curListPageIndex == Math.floor(g_backupSelItem.length/20))
	{
		return;
	}
	g_curListPageIndex++;
	ShowBackupFileList(g_curListPageIndex);
}

function Backup_ToPrevPage()
{
    if(g_backupSelItem == null)
    {
        return;
    }
	UpdateSelection();
	if(g_curListPageIndex == 0)
	{
		return;
	}
	g_curListPageIndex--;
	ShowBackupFileList(g_curListPageIndex);
}

function Backup_ToPage(pageIndex)
{
	UpdateSelection();
	g_curListPageIndex = pageIndex;
	ShowBackupFileList(g_curListPageIndex);
}

function SetBackupState(bBackuping)
{
    if(div_backup_body.innerHTML != "")
    {
        var inputElem = div_backup_body.getElementsByTagName("input");
        for(var i = 0; i < inputElem.length; i++)
        {
            inputElem[i].disabled = bBackuping;
        }

        backup_search_button.disabled = bBackuping;
        
        stop_backup.disabled = false;
        start_backup.disabled = false;
    }
}