﻿var cfg_record_time_header = new Array(str_ch,str_record,str_audio,str_redundancy_rec,str_pre_alarmtime,str_post_alarmtime,str_holdtimed);
var cfg_record_stream_header = new Array(str_ch,str_resolution,str_rate,str_encodetype,str_quality,str_maxbitrate);

/*************************录像页面动态生成表格**************************************/

function OnLoadCfgRecBasic()
{
    ApplyXmlLang("cfg_record.xml");
    CreateListRecBasic(id_record_channel_cfg,7,cfg_record_time_header,g_channelList.length);
	GenSelectListEx(all_pre_alarm_rec_time, g_preAlarmRecTime);
	GenSelectListEx(all_post_alarm_rec_time, g_postAlarmRecTime);
	GenSelectListEx(all_rec_hold_time, g_recDataHoldTime);
	all_rec_enable.checked = true;
	all_pre_alarm_rec_time.value = 5;
	all_post_alarm_rec_time.value = 30;
	all_rec_hold_time.value = 0*86400;
	
	if(!g_supportRecRedundancy)
    {
        all_rec_redundant.parentNode.style.display = "none";
        
        var rows = id_record_channel_cfg.rows;
        for(var i = 0; i < rows.length; i++)
        {
            rows[i].cells[3].style.display = "none";
        }
    }
	
	g_bRecycle = false;
	
	var xmlConfigReq = CreateConfigReqXml(rec_basic_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return;
	}
	g_xmlDoc.async = false;
	g_xmlDoc.loadXML(xmlConfigReply);
	var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
//		window.alert(xmlConfigReply);
	UpdateValues(paramElements, true);
    
    OnRecBasicCheckAll();
}

function LoadDefaultCfgRecBasic()
{
    if(GetDefaultCfg(rec_basic_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdateValues(paramElements, true);
        
        OnRecBasicCheckAll();
        
        g_bChange = true;
    }
}

function OnLoadCfgRecStream()
{
    ApplyXmlLang("cfg_record_stream.xml");
    CreateListRecord(id_record_stream_cfg,g_channelList.length);
	GenSelectListEx(all_rec_resolution, g_majorEncodeProperty);
	GenSelectListEx(all_rec_encode_type, g_avStreamInfo.supportEncodeMode);
    GenSelectListEx(all_rec_maxbit_stream, g_avStreamInfo.supportBitrate);
    GenSelectListEx(all_rec_video_quality, g_avStreamInfo.supportQuarlity);
    
    //给统一配置设定默认值
    all_rec_resolution.value = g_avStreamInfo.defaultResolution;
    all_rec_encode_type.value = g_avStreamInfo.defaultEncodeMode;
    all_rec_maxbit_stream.value = g_avStreamInfo.defaultBitrate;
    all_rec_video_quality.value = g_avStreamInfo.defaultQuarlity;
    
	var xmlConfigReq = CreateConfigReqXml(rec_stream_config_array);
	var xmlConfigReply = WebClient.ExcuteCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return;
	}
	
	g_xmlDoc.async = false;
	g_xmlDoc.loadXML(xmlConfigReply);
// 	window.alert(xmlConfigReply);
	UpdateValues(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
	UpdateRecStreamCfg(true);
	
	for(var m = 0; m < g_channelList.length; m++)
	{
	    OnRecChangeResolution(rec_resolution[m], m);
	}
	
	OnAllRecChangeResolution(all_rec_resolution);
	var defaultFrameRate = (g_videoFormat=="PAL") ? g_avStreamInfo.defaultChnnRateNumPal : g_avStreamInfo.defaultChnnRateNumNtsc;
    all_rec_frame_rate.value = defaultFrameRate;//RealFrameRate(defaultFrameRate, g_avStreamInfo.defaultResolution);
	
	UpdateRecStreamCfg(true);
	
    OnRecStreamCheckAll();

    var totalFrameRate = (g_videoFormat == "PAL") ? g_avStreamInfo.totalRatePalOnCif : g_avStreamInfo.totalRateNtscOnCif;
    var frameNum = 0;
    for(var ch = 0; ch < rec_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(rec_frame_rate[ch].value, 10), parseInt(rec_resolution[ch].value, 10));
    }
    
    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
}

function LoadDefaultCfgRecStream()
{
    if(GetDefaultCfg(rec_stream_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdateValues(paramElements, true);
	    UpdateRecStreamCfg(true);
	    for(var m = 0; m < g_channelList.length; m++)
	    {
	        OnRecChangeResolution(rec_resolution[m], m);
	    }

	    UpdateRecStreamCfg(true);
	    
        OnRecStreamCheckAll();
    	
        g_bChange = true;

        var totalFrameRate = (g_videoFormat == "PAL") ? g_avStreamInfo.totalRatePalOnCif : g_avStreamInfo.totalRateNtscOnCif;        
        var frameNum = 0;
        for(var ch = 0; ch < rec_frame_rate.length; ch++)
        {
            frameNum += ConvertCifRate(parseInt(rec_frame_rate[ch].value, 10), parseInt(rec_resolution[ch].value, 10));
        }
        
        var leftSource = (totalFrameRate - frameNum);
        remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
    }
}

function OnRecBasicCheckAll()
{
    cfgCopy2All(rec_all_cfg,id_record_channel_cfg,id_rec_all);
    
    if(!g_supportRecRedundancy)
    {
        all_rec_redundant.disabled = true;
        for(var i = 0; i < rec_redundant.length; i++)
        {
            rec_redundant[i].disabled = true;
        }
    }
}

function OnRecStreamCheckAll()
{
    cfgCopy2All(rec_stream_all_cfg,id_record_stream_cfg,id_rec_stream_all);
        
    if(g_majorEncodeSizeAllCh)
    {
        for(var i = 0; i < rec_resolution.length; i++)
        {
            rec_resolution[i].disabled = true;
        }
    }
    
    if(rec_stream_all_cfg.checked)
    {
        OnRecChangeEncodeType(all_rec_encode_type, all_rec_video_quality);
    }
    else
    {
        for(var m = 0; m < g_channelList.length; m++)
	    {
	        OnRecChangeEncodeType(rec_encode_type[m], rec_video_quality[m]);
	    }
    }
}

function OnRecChangeResolution(resolutionObj, channelIndex)
{
    var preMaxRate = rec_frame_rate[channelIndex].options.length;
    var preFrameRate = parseInt(rec_frame_rate[channelIndex].value,10);
    GenSelectListEx(rec_frame_rate[channelIndex], g_majorEncodeProperty[resolutionObj.selectedIndex].frameRate);
    var curMaxRate = g_majorEncodeProperty[resolutionObj.selectedIndex].frameRate.length;
    rec_frame_rate[channelIndex].value = Math.round(preFrameRate*curMaxRate/preMaxRate);
    TryFrameRate(channelIndex);
    
    if(g_majorEncodeProperty[resolutionObj.selectedIndex].resolution == 8)
    {
        rec_maxbit_stream[channelIndex].value = 1536;
    }
    if(g_majorEncodeProperty[resolutionObj.selectedIndex].resolution == 2)
    {
        rec_maxbit_stream[channelIndex].value = 768;
    }
}

function OnAllRecChangeResolution(resolutionObj)
{
    var preMaxRate = all_rec_frame_rate.options.length;
    var preFrameRate = parseInt(all_rec_frame_rate.value,10);
    GenSelectListEx(all_rec_frame_rate, g_majorEncodeProperty[resolutionObj.selectedIndex].frameRate);
    var curMaxRate = g_majorEncodeProperty[resolutionObj.selectedIndex].frameRate.length;
    all_rec_frame_rate.value = Math.round(preFrameRate*curMaxRate/preMaxRate);
    TryAllFrame();
    
    if(g_majorEncodeProperty[resolutionObj.selectedIndex].resolution == 8)
    {
        all_rec_maxbit_stream.value = 1536;
    }
    if(g_majorEncodeProperty[resolutionObj.selectedIndex].resolution == 2)
    {
        all_rec_maxbit_stream.value = 768;
    }
}

function OnRecChangeEncodeType(encodeModeObj, videoQualityObj)
{
     if(encodeModeObj.value == 1)
     {
         videoQualityObj.disabled = false;
     }
     else if(encodeModeObj.value == 2)
     {
         videoQualityObj.disabled = true;
     }
}

function TryFrameRate(channelIndex)
{
    var totalFrameRate = (g_videoFormat == "PAL") ? g_avStreamInfo.totalRatePalOnCif : g_avStreamInfo.totalRateNtscOnCif;
    var frameNum = 0;
    for(var ch = 0; ch < rec_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(rec_frame_rate[ch].value, 10), parseInt(rec_resolution[ch].value, 10));
    }
    
    if(frameNum > totalFrameRate)
    {
        window.alert(str_total_frame_rate_exceed);
        while(frameNum > totalFrameRate)
        {
            rec_frame_rate[channelIndex].value = parseInt(rec_frame_rate[channelIndex].value, 10) - 1;
            frameNum -= MultiCif(rec_resolution[channelIndex].value);
        }
    }
    
    frameNum = 0;
    for(var ch = 0; ch < rec_frame_rate.length; ch++)
    {
        frameNum += ConvertCifRate(parseInt(rec_frame_rate[ch].value, 10), parseInt(rec_resolution[ch].value, 10));
    }
    
    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
}

function TryAllFrame()
{
    var totalFrameRate = (g_videoFormat == "PAL") ? g_avStreamInfo.totalRatePalOnCif : g_avStreamInfo.totalRateNtscOnCif;
    var frameNum = rec_frame_rate.length * ConvertCifRate(parseInt(all_rec_frame_rate.value, 10), parseInt(all_rec_resolution.value, 10));
    
    if(frameNum > totalFrameRate)
    {
        window.alert(str_total_frame_rate_exceed);
        all_rec_frame_rate.value = Math.floor(totalFrameRate/rec_frame_rate.length/MultiCif(all_rec_resolution.value));
    }
    
    frameNum = rec_frame_rate.length * ConvertCifRate(parseInt(all_rec_frame_rate.value, 10), parseInt(all_rec_resolution.value, 10));
    var leftSource = (totalFrameRate - frameNum);
    remain_source.innerText = str_source_remain + ": " + leftSource + "(CIF) , " + Math.floor(leftSource/4) + "(D1).";
}

function UpdateRecStreamCfg(bXml2Html)
{
    var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
    for(var i = 0; i < paramElements.length; i++)
    {
        if(paramElements[i].getAttribute("name") == STR_ENCODE_MAJOR)
        {
            if(bXml2Html)
            {
                for(var j = 0; j < g_channelList.length; j++)
                {
                    //resolution+rate+encodeType+quality+hBitStream
                    var values = paramElements[i].childNodes[0].nodeValue.split('+');
                    rec_resolution[j].value = values[0];
                    if(rec_frame_rate[j].options.length > 0)
                    {
                        rec_frame_rate[j].value = Math.min(parseInt(values[1]), parseInt((rec_frame_rate[j][rec_frame_rate[j].options.length-1].value),10));
                    }
                    
                    rec_encode_type[j].value = values[2];
                    rec_video_quality[j].value = values[3];
                    rec_maxbit_stream[j].value = values[4];
                    i++;
                }
                i--;    //因为这一轮循环完之后，i会再加1
            }
            else
            {
                var values = paramElements[i].childNodes[0].nodeValue.split('+');
                for(var j = 0; j < g_channelList.length; j++)
                {
                    //resolution+rate+encodeType+quality+hBitStream
                    if(rec_stream_all_cfg.checked)
                    {
                        values[0] = all_rec_resolution.value;
                        values[1] = all_rec_frame_rate.value;
                        values[2] = all_rec_encode_type.value;
                        values[3] = all_rec_video_quality.value;
                        values[4] = all_rec_maxbit_stream.value;
                    }
                    else
                    {
                        values[0] = rec_resolution[j].value;
                        values[1] = rec_frame_rate[j].value;
                        values[2] = rec_encode_type[j].value;
                        values[3] = rec_video_quality[j].value;
                        values[4] = rec_maxbit_stream[j].value;
                    }                    
                    paramElements[i].childNodes[0].nodeValue = values.join('+');
                    i++;
                }
                i--;    //因为这一轮循环完之后，i会再加1
            }
        }
    }
}

function CreateListRecBasic(htmlObj, colNum, colHeaders, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	//添加标题行
	strOuterHTML += "<tr style='background-color:#D4E8FE'>";
	for(var i = 0; i < colNum; i++)
	{
		strOuterHTML += "<td style = \"text-align:center\">" + colHeaders[i] + "</td>";
	}
	strOuterHTML += "</tr>";
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
	    strOuterHTML += "<td style = \"width:8%;text-align:center\">"+i+"</td>";
	    strOuterHTML += "<td style = \"width:9%;\"><input type = \"checkbox\" name = \"rec_enable\" style = \"width:100%;\" onchange = \"g_bChange = true;\" /></td>";
	    strOuterHTML += "<td style = \"width:9%;\"><input type = \"checkbox\" name = \"rec_has_audio\" style = \"width:100%;\" onchange = \"g_bChange = true;\"/></td>";
	    strOuterHTML += "<td style = \"width:9%;\"><input type = \"checkbox\" name = \"rec_redundant\" style = \"width:100%;\" onchange = \"g_bChange = true;\" /></td>";
	    strOuterHTML +="<td style = \"width:21%;\"><select name = \"pre_alarm_rec_time\" style = \"width:100%;\" onchange = \"g_bChange = true;\"></select></td>";
	    strOuterHTML +="<td style = \"width:21%;\"><select name = \"post_alarm_rec_time\" style = \"width:100%;\" onchange = \"g_bChange = true;\"></select></td>";
	    strOuterHTML +="<td style = \"width:21%;\"><select name = \"rec_hold_time\" style = \"width:100%;\" onchange = \"g_bChange = true;\"></select></td>";
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		GenSelectListEx(document.getElementsByName("pre_alarm_rec_time")[i-1], g_preAlarmRecTime);
	    GenSelectListEx(document.getElementsByName("post_alarm_rec_time")[i-1], g_postAlarmRecTime);
		GenSelectListEx(document.getElementsByName("rec_hold_time")[i-1], g_recDataHoldTime);
	}
	htmlObj = parentNode.childNodes[0];
	for(j = g_audioList.length; j < g_channelList.length; j++)
	{
	    rec_has_audio[j].style.display = "none";
	}
}
function CreateListRecord(htmlObj, rowInitNum)
{
	var strOuterHTML = htmlObj.outerHTML.toLowerCase();
	var lengthLimit = strOuterHTML.indexOf("</tbody>");
	strOuterHTML = strOuterHTML.substr(0, lengthLimit);
	
	var colNum = 6;
	
	//添加标题行
	strOuterHTML += "<tr style='background-color:#D4E8FE'>";
	for(var i = 0; i < colNum; i++)
	{
	    if(!g_supportMajorEncTypeAndBitrate && ((3 == i) || (5 == i)))
	    {
	        strOuterHTML += "<td style = \"text-align:center;display:none;\">" + cfg_record_stream_header[i] + "</td>";
	    }
	    else
	    {
	        strOuterHTML += "<td style = \"text-align:center\">" + cfg_record_stream_header[i] + "</td>";
	    }
	}
	strOuterHTML += "</tr>";
	
	var colWidth = Math.round(633/(colNum-1));
	if(!g_supportMajorEncTypeAndBitrate)
	{
	    colWidth = Math.round(633/(colNum-3));
	}
	
	//添加数据行
	for(var i = 1; i < rowInitNum + 1; i++)
	{
		strOuterHTML += "<tr>";
	    strOuterHTML += "<td style = \"width:50px;text-align:center\">"+i+"</td>";
	    
	    strOuterHTML +="<td><select name = \"rec_resolution\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; OnRecChangeResolution(this, "+(i-1)+")\"></select></td>";
	    strOuterHTML +="<td><select name = \"rec_frame_rate\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; TryFrameRate("+(i-1)+")\"></select></td>";
	   
	    if(!g_supportMajorEncTypeAndBitrate)
	    {
	        strOuterHTML +="<td style=\"display:none;\"><select name = \"rec_encode_type\"></select></td>";
	    }
	    else
	    {
	        strOuterHTML +="<td><select name = \"rec_encode_type\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true; OnRecChangeEncodeType(this,rec_video_quality["+(i-1)+"])\"></select></td>";
	    }
	    
	    strOuterHTML +="<td><select name = \"rec_video_quality\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true;\"></select></td>";
	    
	    if(!g_supportMajorEncTypeAndBitrate)
	    {
	        strOuterHTML +="<td style=\"display:none;\"><select name = \"rec_maxbit_stream\"></select></td>";
        }
        else
        {
	        strOuterHTML +="<td><select name = \"rec_maxbit_stream\" style = \"width:"+colWidth+"px;\" onchange = \"g_bChange = true;\"></select></td>";
        }
		strOuterHTML += "</tr>";
	}
	strOuterHTML += "</tbody></table>";
	var parentNode = htmlObj.parentElement;
	parentNode.innerHTML = strOuterHTML;
	for(var i = 0; i < rowInitNum; i++)
	{
		GenSelectListEx(document.getElementsByName("rec_resolution")[i], g_majorEncodeProperty);
		GenSelectListEx(document.getElementsByName("rec_encode_type")[i], g_avStreamInfo.supportEncodeMode);
	    GenSelectListEx(document.getElementsByName("rec_video_quality")[i], g_avStreamInfo.supportQuarlity);
	    GenSelectListEx(document.getElementsByName("rec_maxbit_stream")[i], g_avStreamInfo.supportBitrate);
	}
	htmlObj = parentNode.childNodes[0];
	
	all_rec_resolution.style.width = colWidth;
    all_rec_frame_rate.style.width = colWidth;
    all_rec_encode_type.style.width = colWidth;
    all_rec_video_quality.style.width = colWidth;
    all_rec_maxbit_stream.style.width = colWidth;
    
    if(!g_supportMajorEncTypeAndBitrate)
    {
        all_rec_encode_type.parentNode.style.display = "none";
        all_rec_maxbit_stream.parentNode.style.display = "none";
    }
}
