﻿// JScript 文件
var g_curIndexList = null;
var g_schuduleHTML = "";

var	g_bStartDraw = false;
var g_bEraseMode = false;
var g_curScheduleDiv = 0;
    
var g_startSelDiv = 0;

function OnSetDrawMode(bEraseMode)
{
  	g_bEraseMode = bEraseMode;
  	if(bEraseMode)
  	{
  	    img_sch_draw.src = "res/draw1.png";
  	    img_sch_erase.src = "res/erase2.png";
  	}
  	else
  	{
  	    img_sch_draw.src = "res/draw2.png";
  	    img_sch_erase.src = "res/erase1.png";
  	}
}
function OnDocumentMouseMove()
{
	if(g_bStartDraw)
	{
		return false;
	}
}

function OnStartSchedule(obj)
{
  	g_bStartDraw = true;
  	
  	g_startSelDiv = obj;
  	g_curScheduleDiv = obj.parentElement;
  	var sub_divs = g_curScheduleDiv.getElementsByTagName("div");
  	for(i = 0; i < sub_divs.length; i++)
  	{
  		sub_divs[i].style.cursor = "text";
  		if(sub_divs[i] == obj)
  		{
//  		    g_curScheduleDiv.parentElement.childNodes[1].innerText = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15);
            var startTime = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15) + ":" + "00";
            var endTime = AlignTime(Math.floor((i+1)/4)) + ":" + AlignTime(((i+1)%4)*15) + ":" + "00";
            schedule_time_tip.innerText = startTime + " - " + endTime;
  		}
  	}
  	
//  	g_curScheduleDiv.parentElement.childNodes[1].style.display = "";
    schedule_time_tip.style.display = "";
  	
  	document.onmousemove = OnDocumentMouseMove;
  	document.onmouseup = OnStopSchedule;
}

function OnStopSchedule()
{
	if(g_bStartDraw)
	{
		g_bStartDraw = false;
		var sub_divs = g_curScheduleDiv.getElementsByTagName("div");
  		for(i = 0; i < sub_divs.length; i++)
  		{
  			sub_divs[i].style.cursor = "auto";
  		}
  		
//  		g_curScheduleDiv.parentElement.childNodes[1].style.display = "none";
//  		g_curScheduleDiv.parentElement.childNodes[1].innerText = "";
        schedule_time_tip.style.display = "none";
        schedule_time_tip.innerText = "";

  		for(i = 0; i < sub_divs.length; i++)
  		{
  			if(sub_divs[i].style.backgroundColor == "#a0a0ff")
  			{
  				if(g_bEraseMode)
  				{
  					sub_divs[i].style.backgroundColor = "#e0e0e0";
  				}
  				else
  				{
  					sub_divs[i].style.backgroundColor = "blue";
  				}
  			}
  		}  		
  		g_curScheduleDiv = 0;
  		g_startSelDiv = 0;
	}	
}
function OnDragging(obj)
{
	if(!g_bStartDraw)
	{
		return;
	}
	if(g_curScheduleDiv != obj.parentElement)
	{
		return;
	}
	
	var startTime = "";
	var endTime = "";
	var bIn = 0;
	if(g_bEraseMode)
	{
		var sub_divs = g_curScheduleDiv.getElementsByTagName("div");
  		for(i = 0; i < sub_divs.length; i++)
  		{
  			if((sub_divs[i] == obj) || (sub_divs[i] == g_startSelDiv))
  			{
  			    if(startTime == "")
  			    {
  			        startTime = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15) + ":" + "00";
  			    }
  			    else
  			    {
  			        endTime = AlignTime(Math.floor((i+1)/4)) + ":" + AlignTime(((i+1)%4)*15) + ":" + "00";
  			    }
				bIn += 1;
  			}
  			
  			if(bIn && (sub_divs[i].style.backgroundColor != "#e0e0e0"))
  			{
  				sub_divs[i].style.backgroundColor = "#a0a0ff";
  			}
  			else if(!bIn && (sub_divs[i].style.backgroundColor != "#e0e0e0"))
  			{
  				sub_divs[i].style.backgroundColor = "blue";
  			}
  			
  			if((bIn == 2) || (obj == g_startSelDiv))
  			{
  			    endTime = AlignTime(Math.floor((i+1)/4)) + ":" + AlignTime(((i+1)%4)*15) + ":" + "00";
  				bIn = 0;
  			}
  			
  			if(sub_divs[i] == obj)
  		    {
//  		        g_curScheduleDiv.parentElement.childNodes[1].innerText = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15);
  		    }
		}
	}
	else
	{
		var sub_divs = g_curScheduleDiv.getElementsByTagName("div");
  		for(i = 0; i < sub_divs.length; i++)
  		{
  			if((sub_divs[i] == obj) || (sub_divs[i] == g_startSelDiv))
  			{
  			    if(startTime == "")
  			    {
  			        startTime = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15) + ":" + "00";
  			    }
  			    else
  			    {
  			        endTime = AlignTime(Math.floor((i+1)/4)) + ":" + AlignTime(((i+1)%4)*15) + ":" + "00";
  			    }
				bIn += 1;
  			}
  			if(bIn && (sub_divs[i].style.backgroundColor.toLowerCase() != "blue"))
  			{
  				sub_divs[i].style.backgroundColor = "#a0a0ff";
  			}
  			else if(!bIn && (sub_divs[i].style.backgroundColor.toLowerCase() != "blue"))
  			{
  				sub_divs[i].style.backgroundColor = "#e0e0e0";
  			}
  			if((bIn == 2) || (obj == g_startSelDiv))
  			{
  			    endTime = AlignTime(Math.floor((i+1)/4)) + ":" + AlignTime(((i+1)%4)*15) + ":" + "00";
  				bIn = 0;
  			}
  			if(sub_divs[i] == obj)
  		    {
//  		    g_curScheduleDiv.parentElement.childNodes[1].innerText = AlignTime(Math.floor(i/4)) + ":" + AlignTime((i%4)*15);
  		    }
  		}
	}
	
	schedule_time_tip.innerText = startTime + " - " + endTime;
}
    
function OnGenSchedule(bg_div, title)
{
	var title_div = 0;
	var tick_div = 0;	
	var schedule_div = 0;
	var strInnerHTML = "";
	var strSubInnerHTML = "";
	//创建标题
	title_div = document.createElement("div");
	title_div.style.cssText = "left:0px;top:0px;border:solid 1px;height:15px;width:63px;position:absolute;text-align:center";
	title_div.innerHTML = title;
	strInnerHTML += title_div.outerHTML;
	if(g_schuduleHTML == "")
	{
	    //创建刻度
	    tick_div = document.createElement("div");
	    tick_div.style.cssText = "left:65px;top:0px;width:672px;height:16px;position:absolute";
	    var tick_cell_div = document.createElement("div");
	    strSubInnerHTML = "";
	    for(var i = 0; i < 672; i += 112)
	    {
		    tick_cell_div.style.cssText = "width:112px;height:16px;top:0px;position:absolute;z-index:2;border-right:solid 1px;border-top:solid 1px;text-align:left;";
		    tick_cell_div.style.left = i + "px";
		    tick_cell_div.innerText = " " + AlignTime(i / 28) + ":00";
		    strSubInnerHTML += tick_cell_div.outerHTML;
	    }
	    tick_div.innerHTML = strSubInnerHTML;	
	    g_schuduleHTML += tick_div.outerHTML;
	    //创建排程设置区域
	    schedule_div = document.createElement("div");
	    schedule_div.style.cssText = "left:64px;top:16px;width:672px;height:20px;position:absolute;border:solid 1px";
	    var schedule_item_div = 0;
	    schedule_item_div = document.createElement("div");
	    schedule_item_div.style.cssText = "width:7px;height:20px;top:0px;position:absolute;background-color:#e0e0e0;z-index:1";
	    schedule_item_div.onmouseover = "OnDragging(this)";
	    schedule_item_div.onmousedown = "OnStartSchedule(this)";
	    strSubInnerHTML = "";
	    for(var i = 0; i < 672; i += 7)
	    {
		    schedule_item_div.style.left = i + "px";
		    strSubInnerHTML += schedule_item_div.outerHTML;
	    }
	    schedule_div.innerHTML = strSubInnerHTML;
	    g_schuduleHTML += schedule_div.outerHTML;
	}
	
	//创建时间选择提示框
	var time_tip_div = document.createElement("div");
	time_tip_div.style.cssText = "left:0px;top:16px;border:solid 1px;height:20px;width:63px;position:absolute;text-align:center;background-color:#CCBBFF;display:none;";
	time_tip_div.innerHTML = "";
	strInnerHTML += time_tip_div.outerHTML;
	
	strInnerHTML += g_schuduleHTML;
	bg_div.innerHTML = strInnerHTML;
}
function SetScheduleData(bg_div, scheduleData)
{
	var schedule_divs = document.getElementById(bg_div).childNodes[3].getElementsByTagName("div");
	for(i = 0; i < scheduleData.length; i++)
	{
		if(scheduleData.charAt(i) == "1")
		{
			schedule_divs[i].style.backgroundColor = "blue";
		}
		else
		{
			schedule_divs[i].style.backgroundColor = "#e0e0e0";
		}
	}
}
function GetScheduleData(bg_div)
{
	var schedule_divs = document.getElementById(bg_div).childNodes[3].getElementsByTagName("div");
	var scheduleData = "";
	for(i = 0; i < 96; i++)
	{
		if(schedule_divs[i].style.backgroundColor.toLowerCase() == "blue")
		{
			scheduleData += "1";
		}
		else
		{
			scheduleData += "0";
		}
	}
	
	return scheduleData;
}
function ClearSch(bg_div)
{
    bg_div_obj = document.getElementsByName(bg_div)[0];
	var schedule_divs = bg_div_obj.childNodes[3].getElementsByTagName("div");
	var schedule_divs = document.getElementById(bg_div).childNodes[3].getElementsByTagName("div");
	for(i = 0; i < 96; i++)
	{
	    schedule_divs[i].style.backgroundColor = "#e0e0e0";
	}
}

// when change channel in schedule
function OnchangeChannel(obj)
{
    GenCpList(cp_config_schedule,parseInt(schChannelIndex.value,10), g_curIndexList);    
    UpdateSchedule(g_xmlDoc.documentElement.childNodes[0].childNodes, false,g_curSchChannel,g_curSchType);
//   UpdateHoliday(g_xmlDoc.documentElement.childNodes[0].childNodes,false,g_curDate);
    g_curSchChannel = obj.value;
//    FreshenHoliday(g_xmlDoc.documentElement.childNodes[0].childNodes);
    UpdateSchedule(g_xmlDoc.documentElement.childNodes[0].childNodes, true,g_curSchChannel,g_curSchType);
//    g_curDate = 0;
}

function GenSchedulePage()
{
    GenSelectListEx(channelIndex,g_curIndexList);
    GenCpList(cp_config_schedule,parseInt(schChannelIndex.value,10), g_curIndexList);
	OnGenSchedule(schedule_div0, calendar_week[0]); 
	OnGenSchedule(schedule_div1, calendar_week[1]);
	OnGenSchedule(schedule_div2, calendar_week[2]);
	OnGenSchedule(schedule_div3, calendar_week[3]);
	OnGenSchedule(schedule_div4, calendar_week[4]);
	OnGenSchedule(schedule_div5, calendar_week[5]);
	OnGenSchedule(schedule_div6, calendar_week[6]);
	//holidays
//	OnGenSchedule(sch_holiday,string_holiday);
}

