﻿// JScript 文件

var g_xmlhttp = createXMLHttp();
var g_xmlDoc = createXMLDoc();
var g_mainMenuItem  = -1;
var g_loginUser = "";
var g_userListCtrl = 0;
var g_bTalking = false;

var g_fnOnExcuteCmdReply = null;
var g_loadPageTimeOut = 0;

function HostInfo(){}
HostInfo.hostname="";
HostInfo.hostmac = "";

var g_langList = new Array(
    new CSelectOptionInfo("English", "english_us")
    ,new CSelectOptionInfo("简体中文", "chinese_prc")
    ,new CSelectOptionInfo("繁體中文", "chinese_cht")
    ,new CSelectOptionInfo("Český", "Czech")
    ,new CSelectOptionInfo("Français", "french_fr")
    ,new CSelectOptionInfo("Português", "portuguese")
    ,new CSelectOptionInfo("Español", "Spanish")
    ,new CSelectOptionInfo("Türk", "turkish_tr")
    ,new CSelectOptionInfo("Български език", "bulgarian")
    ,new CSelectOptionInfo("Ελληνικά", "greek")
    ,new CSelectOptionInfo("עברית שפה", "hebrew")
    ,new CSelectOptionInfo("Italiano", "italian")
    ,new CSelectOptionInfo("Deutsch", "germany")
    ,new CSelectOptionInfo("Русский", "russian_ru")
    ,new CSelectOptionInfo("polski", "polish")
    );
function createXMLDoc() 
{
    xmlDoc = null;
    try //Firefox, Mozilla, Opera, etc.
	{
        xmlDoc = document.implementation.createDocument("", "", null);
    }
    catch (e) 
    {
        try //Internet Explorer
		{
            xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
        }
        catch (e) 
        { 
        alert(e.message);
        }
    }
 
    return (xmlDoc);
}

function createXMLHttp() 
{
    xmlhttp = null;
    // 创建一个XMLHTTPRequest对象
    if (window.ActiveXObject) 
    {
        xmlhttp = new ActiveXObject('Microsoft.XMLHTTP');
    }
    else if (window.XMLHTTPRequest) 
    {
        xmlhttp = new XMLHTTPRequest();
    }
    else 
    {
        return null;
    }

    return xmlhttp;
}

function SafeHttpSend(httpRequest, sendData)
{
    try
    {
        httpRequest.Send(sendData);
    }
    catch(e)
    {
        if(e instanceof Error)
        { 
 //         window.alert("向服务器发出HTTP请求失败");
            StopWait();
            return false;
        }
    }
    
    return true;
}

//得到windows当前操作系统版本
function GetOSVer()
{
    var ua = window.navigator.userAgent;
    var osVersion = ua.split(";")[2]; 
    var osV = osVersion.substr(osVersion.length-3,3); 
    switch(osV) 
    { 
        case "5.0": 
            return "Win2000"; 
        case "5.1": 
            return "WinXP"; 
        case "5.2": 
            return "Win2003"; 
        case "6.1":
            return "Win7";
        default: 
            return "Others"; 
    }
}

//结构模板定义
function CSelectOptionInfo(optionName, optionValue)
{
	this.optionName = optionName;
	this.optionValue = optionValue;
}

function CDDNSServerInfo(ddnsId, hasDomain, serverName)
{
	//前两项是为了兼容CSelectOptionInfo
	this.optionName = serverName;
	this.optionValue = ddnsId;
	this.ddnsId = ddnsId;
	this.hasDomain = hasDomain;
	this.serverName = serverName;
}

function CEncodeProperty(resolution, frameRate, resolutionName)
{
	//前两项是为了兼容CSelectOptionInfo
	this.optionName = resolutionName;
	this.optionValue = resolution;
	this.resolution = resolution;
	this.frameRate = frameRate;//一组分辨率
	this.resolutionName = resolutionName;
}

function GenSelectListEx(selectObj, options)
{
    selectObj.innerHTML = "";
	var optionsString = selectObj.outerHTML.substring(0, selectObj.outerHTML.length - 9);
	for(var i = 0; i < options.length; i++)
    {
		if(options[i].optionName == "")
		{
			continue;
		}
		optionsString += "\r\n<option value = '" + options[i].optionValue + "'>" + options[i].optionName + "</option>";
    }
    optionsString += "</select>";
    selectObj.outerHTML = optionsString;
}

function LoadMultiJS(jsArray, OnEndLoad)
{
    if(jsArray.length == 0)
    {
        OnEndLoad();
        return;
    }
    
    var jsid = jsArray[0].replace(/\./, "_");
    
    if(document.getElementById(jsid) != null)
    {
        jsArray.shift();
        LoadMultiJS(jsArray, OnEndLoad);
        return; 
    }
    
    g_xmlhttp.Open("get", "script/"+jsArray[0], false);
    g_xmlhttp.onreadystatechange = function()
    {
        if(g_xmlhttp.readyState == 4)
        {
            DynAppendJS(jsid, g_xmlhttp.responseText);
            jsArray.shift();
            LoadMultiJS(jsArray, OnEndLoad);          
        }
    }
    SafeHttpSend(g_xmlhttp, null);  
}

function LoadMultiJSSync(jsArray)
{
    for(var i = 0; i < jsArray.length; i++)
    {
        var jsid = jsArray[i].replace(/\./, "_");
        if(document.getElementById(jsid) != null)
        {
            continue;
        }
        
        g_xmlhttp.Open("get", "script/"+jsArray[i], false);
        SafeHttpSend(g_xmlhttp, null);
        DynAppendJS(jsid, g_xmlhttp.responseText);
    }
}

function DynAppendJS(sId, source)
{
    if ( ( source != null ) && ( !document.getElementById( sId ) ) )
    { 
        var oHead = document.getElementsByTagName('HEAD').item(0);
        var oScript = document.createElement("script");
        oScript.language = "javascript";
        oScript.type = "text/javascript";
        oScript.id = sId;
        oScript.defer = true;
        oScript.text = source;
        oHead.appendChild(oScript);
    }
}

function LoadMultiString(path, OnLoadEnd)
{
    var jsid = path.replace(/\./, "_");
    jsObj = document.getElementById(jsid);
    if(jsObj != null)
    {
        document.getElementsByTagName("HEAD")[0].removeChild(jsObj);
    }
    g_xmlhttp.Open("get", "language/"+g_langName+"/"+path, false);
    
    SafeHttpSend(g_xmlhttp, null);
//    g_xmlhttp.onreadystatechange = function()
    {
        if(g_xmlhttp.readyState == 4)
        {
            DynAppendJS(jsid, g_xmlhttp.responseText);
            if(OnLoadEnd != null)
            {
                OnLoadEnd();
            }
        }
    }
}
function OnResize()
{
	if(g_mainMenuItem == 0)
	{
		div_ocx.style.left = div_main_menu.offsetLeft+5;
	    div_ocx.style.top = div_main_menu.offsetTop+div_main_menu.offsetHeight;
	    div_ocx.style.width = 770;
	}
}

function OnLoadPage()
{
    var strForbidTip = "IE failed to run the client. \rThis IE may not support multi-tab to run the client or too many IE pages opened.";
    if(navigator.systemLanguage.indexOf("zh") != -1)
    {
        if(navigator.systemLanguage == "zh-cn")
        {
            g_langName = g_langList[1].optionValue;
        }
        else
        {
            g_langName = g_langList[2].optionValue;
        }
        
        strForbidTip = "IE 运行客户端失败。\nIE不支持选项卡中运行客户端或是开了太多IE页面。"
    }
    else if(navigator.systemLanguage == "cs")
    {
        g_langName = g_langList[3].optionValue;
    }
    else if((navigator.systemLanguage.indexOf("fr-") != -1) || (navigator.systemLanguage == "fr"))
    {
        g_langName = g_langList[4].optionValue;
    }
    else if(navigator.systemLanguage.indexOf("pt") != -1)
    {
        g_langName = g_langList[5].optionValue;
    }
    else if(navigator.systemLanguage.indexOf("es") != -1)
    {
        g_langName = g_langList[6].optionValue;
    }
    else if(navigator.systemLanguage == "tr")
    {
        g_langName = g_langList[7].optionValue;
    }
    else if(navigator.systemLanguage == "bg")
    {
        g_langName = g_langList[8].optionValue;
    }
    else if(navigator.systemLanguage == "el")
    {
        g_langName = g_langList[9].optionValue;
    }
    else if(navigator.systemLanguage == "he")
    {
        g_langName = g_langList[10].optionValue;
    }
    else if(navigator.systemLanguage.indexOf("it") != -1)
    {
        g_langName = g_langList[11].optionValue;
    }
    else if((navigator.systemLanguage.indexOf("de-") != -1) || (navigator.systemLanguage == "de"))
    {
        g_langName = g_langList[12].optionValue;
    }
    else if(navigator.systemLanguage == "ru")
    {
        g_langName = g_langList[13].optionValue;
    }
    else if(navigator.systemLanguage == "pl")
    {
        g_langName = g_langList[14].optionValue;
    }
    else
    {
        g_langName = g_langList[0].optionValue;
    }
    
    if(!WebClient.CanInitialize())
    {
        window.alert(strForbidTip);
        window.close();
        return;
    }
    
    try
    {
        //设置OCX的语言
        var xmlSetLangReq = "<request>\r\n";
        xmlSetLangReq += "<command name=\""+STR_LM_SET_LANGUAGE+"\">\r\n";
        xmlSetLangReq += "<language>"+g_langName+"</language>\r\n";
        xmlSetLangReq += "</command>\r\n";
        xmlSetLangReq += "</request>\r\n";
        WebClient.ExcuteLocalCmd(xmlSetLangReq);
        
        strRequest = '<request>\r\n';
        strRequest += '<command name="'+STR_LM_GET_HOST_INFO+'"></command>\r\n';
        strRequest += '</request>\r\n';
        strReply = WebClient.ExcuteLocalCmd(strRequest);
        g_xmlDoc.loadXML(strReply);
        cmdElements = g_xmlDoc.documentElement.childNodes;
        if(cmdElements.length > 0)
        {
            var hostnameElem = cmdElements[0].getElementsByTagName(STR_HOST_NAME);
            var hostmacElem = cmdElements[0].getElementsByTagName(STR_HOST_MAC);
            HostInfo.hostname = hostnameElem[0].childNodes[0].nodeValue;
            HostInfo.hostmac = hostmacElem[0].childNodes[0].nodeValue;
        }
        
        LoadMultiString("string.js", GotoLoginPage);
    }
    catch(e)
    {
        g_loadPageTimeOut = setTimeout(OnLoadPage);
        return;
    }
    
    if(g_loadPageTimeOut != 0)
    {
        clearTimeout(g_loadPageTimeOut);
    }
}

function OnUnloadPage()
{
    WebClient.Unload();
}

function OnBodyKeyDown()
{
    if(div_login.style.display != "none")
    {
        if(event.keyCode == 13)
        {
            document.all.btn_login.click();
        }
    }
}

function HideDIVs()
{
//	clearTimeout(g_getProgressTimer);
//	clearTimeout(g_timeCount);
//	clearTimeout(g_getPbTimeHandle);

	div_login.style.display="none";
	div_login.innerHTML = "";
//	div_main_menu.style.display="none";
	div_ocx.style.display="none";
	div_live.style.display="none";
	div_live.innerHTML = "";
	div_playback.style.display = "none";
	div_playback.innerHTML = "";
	div_config_index.style.display="none";
	div_config_index.innerHTML = "";
	div_config_body.style.display="none";
	div_config_body.innerHTML = "";
	div_info_index.style.display="none";
	div_info_index.innerHTML = "";
	div_info_body.style.display="none";
	div_info_body.innerHTML = "";
	div_search_body.style.display = "none";
	div_search_body.innerHTML = "";
	div_backup_body.style.display = "none";
//	div_backup_body.innerHTML = "";
	WebClient.style.display = "none";
	div_config.style.display = "none";
	div_info.style.display = "none";
	div_advance_body.style.display = "none";
	WebClient.SetVisible(0);
}

function StartWait()
{
    id_wait.style.display="";
    img_wait.style.display="";
    
    id_wait.style.height = Math.max(document.documentElement.scrollHeight, document.documentElement.clientHeight);
//     wait_iframe.frameElement.style.height = id_wait.style.height;
    img_wait.style.top = Math.round((window.screen.height-img_wait.offsetHeight)/2-window.screenTop);
    img_wait.style.left = Math.round((document.documentElement.clientWidth-img_wait.offsetWidth)/2);
    
//     wait_iframe.frameElement.style.display="";
}

function StopWait()
{
    id_wait.style.display="none";
    img_wait.style.display="none";
//     wait_iframe.frameElement.style.display="none";
}

function StartWaitTip(strTip)
{
    id_wait.style.display="";
    wait_tip_div.style.display="";
    wait_iframe.frameElement.style.display="";
    
    wait_tip_div.innerText = strTip;
    
    id_wait.style.height = Math.max(document.documentElement.scrollHeight, document.documentElement.clientHeight);
    wait_iframe.frameElement.style.height = id_wait.style.height;
    wait_iframe.frameElement.style.width = id_wait.style.width;
//    wait_tip_div.style.top = Math.round((id_wait.offsetHeight-wait_tip_div.offsetHeight)/2-window.screenTop);
    wait_tip_div.style.top = Math.round(document.documentElement.scrollTop+document.documentElement.clientHeight/2-window.screenTop);
    wait_tip_div.style.left = Math.round((document.documentElement.clientWidth-wait_tip_div.offsetWidth)/2);
}

function StopWaitTip()
{
    id_wait.style.display="none";
    wait_tip_div.style.display="none";
    wait_iframe.frameElement.style.display="none";
}

function StartWaitConnect()
{
    id_wait.style.display="";
    wait_tip_div_conn.style.display="";
    img_wait_conn.style.display = "";
    
    wait_tip_conn_text.innerText = str_connecting;
    
    id_wait.style.height = Math.max(document.documentElement.scrollHeight, document.documentElement.clientHeight);
    wait_tip_div_conn.style.top = Math.round((id_wait.offsetHeight-wait_tip_div_conn.offsetHeight)/2-window.screenTop);
    wait_tip_div_conn.style.left = Math.round((document.documentElement.clientWidth-wait_tip_div_conn.offsetWidth)/2);
}

function StopWaitConnect()
{
    id_wait.style.display="none";
    wait_tip_div_conn.style.display="none";
    img_wait_conn.style.display="none";
}

function OnExcuteCmdNotifyReply(xmlString)
{
    if(g_fnOnExcuteCmdReply != null)
    {
        g_fnOnExcuteCmdReply(xmlString);
        g_fnOnExcuteCmdReply = null;
    }
}

function SetNofityCallback(fnOnExcueteCmdReply)
{
    g_fnOnExcuteCmdReply = fnOnExcueteCmdReply;
}

function OnNetDisconnect(retCode)
{
    StopWait();
    StopWaitTip();
    g_mainMenuItem = -1;
    g_bTalking = false;
    HideDIVs();
    StartWaitConnect();
    try
    {
        g_backupBackground = false;
    }
    catch(e)
    {
    }
}

function OnNetReLogined(retCode)
{
    StopWaitConnect();
    
    try
    {
        GotoLivePage();
    }
    catch(e)
    {
    }
}

function OnDisconnectByServer(retCode)
{
    window.alert(str_disconnect_by_server);
    window.close();
}
