﻿// JScript 文件

function OnloadWebCfg()
{
    g_bChange = false;
    ApplyXmlLang("cfg_local.xml");
    GenCheckGroup(local_rec_ch, g_channelList,STR_RECORD_CLIP_OPEN, 8, Bchange);
    GenCheckGroup(local_rec_audio_ch, g_audioList,STR_RECORD_AUDIO_OPEN, 8, Bchange);
    var xmlConfigReq = CreateConfigReqXml(local_config_array);
    g_xmlDoc.loadXML(xmlConfigReq);
    var commandNodes = g_xmlDoc.getElementsByTagName("command");
 	commandNodes[0].setAttribute("name", STR_LM_GET_CONFIG);
 	xmlConfigReq = g_xmlDoc.xml;
 	var xmlConfigReply = WebClient.ExcuteLocalCmd(xmlConfigReq);
 	if(xmlConfigReply == "")
 	{
 	    return false;
 	}
 	g_xmlDoc.async = false;
 	g_xmlDoc.loadXML(xmlConfigReply);
 	UpdateValues(g_xmlDoc.documentElement.childNodes[0].childNodes, true);
 	UpdateCheckItems(local_rec_ch);
 	UpdateCheckItems(local_rec_audio_ch);
}

function OnSaveWebCfg()
{
    if(!g_bChange)
    {
        SaveError(webconfig_errortips, cfg_nochange_tip);
    }
    else
    {
        UpdateValues(g_xmlDoc.documentElement.childNodes[0].childNodes, false);
        var commandNodes = g_xmlDoc.getElementsByTagName("command");
	    commandNodes[0].setAttribute("name", STR_LM_SET_CONFIG);
        WebClient.ExcuteLocalCmd(g_xmlDoc.xml);
        SaveOk(webconfig_errortips);
        g_bChange = false;
    }
}

function LoadDefaultLocalcfg()
{
    if(GetDefaultLocalcfg(local_config_array))
    {
        var paramElements = g_xmlDoc.documentElement.childNodes[0].childNodes;
        UpdateValues(paramElements, true);
        UpdateCheckItems(local_rec_ch);
	    UpdateCheckItems(local_rec_audio_ch);
	    g_bChange = true;
    }
}

function GetDefaultLocalcfg(cfgItems)
{
    var xmlConfigReq = CreateConfigReqXml(cfgItems, STR_LM_GET_DEFAULT_CONFIG);
	var xmlConfigReply = WebClient.ExcuteLocalCmd(xmlConfigReq);
	if(xmlConfigReply == "")
	{
	    return false;
	}
	var l_xmlDoc = createXMLDoc();
	l_xmlDoc.async = false;
	l_xmlDoc.loadXML(xmlConfigReply);
	var cmdElement = l_xmlDoc.documentElement.childNodes[0];
	if(cmdElement.attributes.getNamedItem("name").nodeValue != STR_LM_GET_DEFAULT_CONFIG)
	{
	    window.alert("get default config failed!");
	    return false;
	}
	g_xmlDoc.loadXML(xmlConfigReply);
	return true;
}

